Bug 1173138 - Kernel 5.7.1 stuck at booting on HP Elitebook 840G6
Kernel 5.7.1 stuck at booting on HP Elitebook 840G6
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-19 07:10 UTC by Huy Phung
Modified: 2020-06-25 08:23 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Last kernel debug line before hanging. (4.08 MB, image/jpeg)
2020-06-19 07:10 UTC, Huy Phung
Details
Booting hanging 2 (274.52 KB, image/jpeg)
2020-06-19 07:10 UTC, Huy Phung
Details
Booting hanging 3 (252.19 KB, image/jpeg)
2020-06-19 07:11 UTC, Huy Phung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Huy Phung 2020-06-19 07:10:26 UTC
Created attachment 838956 [details]
Last kernel debug line before hanging.

Opensuse Tumbleweed freshly installed, kernel 5.7.1-1. Booting process stuck at 'workqueue lockup'. I uploaded 2 screenshot 
1. Last line showed up on boot process before OS stucks in workqueue lockup
2. and 3. The screen when the booting hangs.
Comment 1 Huy Phung 2020-06-19 07:10:54 UTC
Created attachment 838957 [details]
Booting hanging 2
Comment 2 Huy Phung 2020-06-19 07:11:19 UTC
Created attachment 838958 [details]
Booting hanging 3
Comment 3 Huy Phung 2020-06-19 07:53:13 UTC
I think this is duplicated to this bug

https://bugzilla.opensuse.org/show_bug.cgi?id=1172905

I will find a way to try with kernel 5.7.2 to confirm.
Comment 4 Takashi Iwai 2020-06-19 08:03:20 UTC
Yes, very likely it is.  You can install kernel-firmware.rpm as a workaround (instead of kernel-firmware-all package), too, which will replace the firmware with the raw uncompressed one that doesn't trigger the bug.
But better to use 5.7.2 or later kernel package.
Comment 5 Takashi Iwai 2020-06-24 12:44:36 UTC
Any chance to test 5.7.2 and later?
Comment 6 Huy Phung 2020-06-24 22:27:01 UTC
Hi, I forgot to comment back.
The kernel 5.7.2 works perfectly. Kernel boots normally, Wifi and bluetooth works.
I will close this bug. Thanks all.
Comment 7 Huy Phung 2020-06-25 08:23:09 UTC
Fixed in Kernel 5.7.2